%global upstream_name trace-cmd

Name: trace-gui
Version: 1.0.4
Release: 1%{?dist}
# changed from the trace-cmd spec. The libraries are not included here,
# therefore there is no LGPLv2,1 in here.
License: GPLv2
Summary: trace-cmd is a user interface to Ftrace

Group: Development/Tools
URL: http://www.kernel.org/pub/linux/analysis/trace-cmd/
Source: %{URL}/%{upstream_name}-%{version}.tar.gz

BuildRoot: %{_tmppath}/%{upstream_name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: xmlto
BuildRequires: asciidoc
BuildRequires: mlocate
# needed for the GUI pieces only
BuildRequires: glib2-devel, gtk2-devel, libxml2-devel
# Require our friend
Requires: trace-cmd

%description
trace-cmd is a user interface to Ftrace. Instead of needing to use the
debugfs directly, trace-cmd will handle of setting of options and
tracers and will record into a data file.

This package is the GUI components of trace-cmd, that is not packaged in RHEL,
built for EPEL only.

%prep
%setup -q -n %{upstream_name}-%{version}

%build
make gui

%install
rm -Rf %{buildroot}
make DESTDIR=%{buildroot} prefix=/usr install_gui
# remove the stuff that RHEL packages
rm %{buildroot}/usr/bin/trace-cmd
rm -rf %{buildroot}/usr/share

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc COPYING COPYING.LIB README
#%{_bindir}/trace-cmd
%{_bindir}/trace-view
%{_bindir}/trace-graph
%{_bindir}/kernelshark
#%{_datadir}/%{upstream_name}/plugins/*
#%{_mandir}/man1/*
#%{_mandir}/man5/*

%changelog
* Tue Feb 8 2011 Jon Stanley <jonstanley@gmail.com>
- Add GUI components, initial package for EPEL.
- Based on RHEL trace-cmd spec file
